<template>
    <table>
        <thead>
        <tr>
            <th>#</th>
            <th>Vorname</th>
            <th>Nachname</th>
            <th>Actions</th>
        </tr>
        </thead>
        <tbody>
        <!--<tr v-for="(person, index) in persons">
            <td>{{ index}}</td>
            <td>{{ person.firstName }}</td>
            <td>{{ person.lastName }}</td>
            <td>
                <button @click="deletePerson(index)">Delete</button>
            </td>
        </tr>-->
        <!--<PersonEntry v-for="(person, index) in persons" :person="person" :index="index" @delete="onPersonDelete(index)"
                     @edit="(personData) => onPersonEdit(personData, index)"/>-->
        <PersonEntry v-for="(person, index) in persons" :person="person" :index="index" @delete="onPersonDelete(index)"
                     @edit="function(personData) {onPersonEdit(personData, index)}"/>
        <tr v-if="!persons.length">
            <td colspan="4">No persons found</td>
        </tr>
        </tbody>
    </table>
</template>

<script setup>
    import PersonEntry from "@/components/PersonEntry.vue";

    defineProps({
        persons: {
            type: Array,
            required: true
        }
    })

    const x = () => console.log(index)

    const emit = defineEmits(['delete', 'edit'])

    function onPersonDelete(index) {
        console.log('Delete person', index)
        emit('delete', index)
    }

    function onPersonEdit(editedPerson, index) {
        console.log(editedPerson, index)
        emit('edit', editedPerson, index)
    }
</script>